LinuxQuestions.org
Latest LQ Deal: Linux Power User Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 07-29-2013, 03:42 PM   #1
sudo_su
Member
 
Registered: Aug 2012
Location: Australia
Distribution: Redhat, CentOS
Posts: 59

Rep: Reputation: Disabled
Exclamation Yum error


Dear experts,

I am using fedora 18, I was updating gnome group with command
Code:
#yum groupinstall GNOME Desktop
and i get the below error

Quote:
(43/43): systemd-sysv-201-2.fc18.7.x86_64.rpm | 27 kB 00:01
--------------------------------------------------------------------------------
Total 87 kB/s | 9.9 MB 01:56
Running Transaction Check
Running Transaction Test


Transaction Check Error:
file /usr/lib64/girepository-1.0/Colord-1.0.typelib from install of colord-libs-0.1.31-1.fc18.x86_64 conflicts with file from package colord-0.1.25-1.fc18.x86_64
file /usr/lib64/libcolord.so.1 from install of colord-libs-0.1.31-1.fc18.x86_64 conflicts with file from package colord-0.1.25-1.fc18.x86_64

Error Summary
-------------

[root@server ~]#
my repositories are

Quote:
[root@server ~]# yum repolist
Loaded plugins: langpacks, presto, refresh-packagekit
repo id repo name status
fedora/18/x86_64 Fedora 18 - x86_64 33,868
rpmforge RHEL 18 - RPMforge.net - dag 4,597
updates/18/x86_64 Fedora 18 - x86_64 - Updates 16,716
repolist: 55,181
[root@server ~]#
As a newbie, I dont know how to dig into logs and find out what went or is wrong, please guide.

Thank you.
 
Old 07-29-2013, 03:53 PM   #2
szboardstretcher
Senior Member
 
Registered: Aug 2006
Location: Detroit, MI
Distribution: GNU/Linux systemd
Posts: 3,816

Rep: Reputation: 1346Reputation: 1346Reputation: 1346Reputation: 1346Reputation: 1346Reputation: 1346Reputation: 1346Reputation: 1346Reputation: 1346Reputation: 1346
Probably something like this.

Code:
yum groupinstall "GNOME Desktop Environment" --disablerepo=rpmforge
 
1 members found this post helpful.
Old 08-03-2013, 04:36 PM   #3
sudo_su
Member
 
Registered: Aug 2012
Location: Australia
Distribution: Redhat, CentOS
Posts: 59

Original Poster
Rep: Reputation: Disabled
Thankyou szb, it solved the issue.

can you please tell me how to get rid of the rpmforge thats installed in my fedora and creating this mess?
 
Old 08-03-2013, 10:22 PM   #4
John VV
LQ Muse
 
Registered: Aug 2005
Location: A2 area Mi.
Posts: 16,825

Rep: Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408
it is not just the repo BUT the files installed from RF
fortunately the rpmforge rpms are named
Code:
su -
rpm -qa | grep rf.
that will output a list of files installed from rpmforge

then just uninstall them
 
Old 08-04-2013, 02:45 AM   #5
chrism01
LQ Guru
 
Registered: Aug 2004
Location: Sydney
Distribution: Centos 6.8, Centos 5.10
Posts: 17,240

Rep: Reputation: 2324Reputation: 2324Reputation: 2324Reputation: 2324Reputation: 2324Reputation: 2324Reputation: 2324Reputation: 2324Reputation: 2324Reputation: 2324Reputation: 2324
Also disable or remove the rpmforge repo file in /etc/yum.repos.d/ to avoid future rpmforge downloads.
 
Old 08-04-2013, 01:19 PM   #6
John VV
LQ Muse
 
Registered: Aug 2005
Location: A2 area Mi.
Posts: 16,825

Rep: Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408
you can also install and -- configure!!! -- "yum-priorities" plugin
this plugim is for setting "third party" repos to a lower priority
so as to help not cause the dependency errors
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] YUM Error - "CRITICAL:yum.cli:Config Error" vikas027 Linux - Server 4 05-03-2012 09:17 AM
CRITICAL:yum.cli Config Error yum.conf in RHEL 6.0 chunrima Linux - Software 2 12-09-2010 07:19 PM
Yum not working at all due to /usr/bin/yum syntax error aheusdens Linux - General 1 04-09-2010 05:15 PM
yum config error parsing file failed - yum won't run emuub Linux - Software 9 11-04-2008 06:48 AM
Yum on FC6. 'yum update' error. mufy Fedora 8 06-14-2007 03:03 AM


All times are GMT -5. The time now is 01:01 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration